#!/usr/bin/env python3
"""
Basic example of specular reflectometry simulation with BornAgain.
The sample consists of 20 alternating Ti and Ni layers.
"""

from bornagain import ba_plot as bp, std_samples, std_simulations


def get_sample():
    return std_samples.alternating_layers()


def get_simulation(sample):
    n = bp.simargs['n']
    return std_simulations.specular(sample, n)


if __name__ == '__main__':
    bp.parse_args(sim_n=500)
    sample = get_sample()
    simulation = get_simulation(sample)
    result = simulation.simulate()
    bp.plot_simulation_result(result)
